Skip to main content
GET
/
api
/
v1
/
ops
/
trips
/
{tripId}
/
tracking-points
List Trip Tracking Points
curl --request GET \
  --url https://api.example.com/api/v1/ops/trips/{tripId}/tracking-points
{
  "data": [
    {
      "tripTrackingPointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tripId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tripTrackingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cooperativeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transportOperatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "driverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "latitude": 123,
      "longitude": 123,
      "accuracyMeters": 123,
      "speedKmh": 123,
      "headingDegrees": 123,
      "recordedAt": "2023-11-07T05:31:56Z",
      "acceptedAt": "2023-11-07T05:31:56Z",
      "sequence": 123,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "limit": 10,
    "page": 1,
    "totalItems": 142,
    "totalPages": 15
  }
}

Path Parameters

tripId
string<uuid>
required

Trip identifier.

Query Parameters

acceptedAt
string

Accepted date range.

fromSequence
integer

Return points from this sequence.

Required range: x >= 0
limit
integer
default:500

Maximum number of points.

Required range: 1 <= x <= 5000
fields
string

Comma-separated list of fields to include in the response. Supports dot notation.

Response

OK

data
object[]
required
meta
object
required

Page-based pagination metadata.